#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_GuideCFGData
{
	//引导ID
	int mID;
	//类型
	int mType;
	//高亮框位置
	std::vector<int> mSelPos;
	//高亮框大小
	std::vector<int> mSelSize;
	//高亮框资源
	std::string mSelPic;
	//提示框文字图片
	std::string mTipsDescPic;
	//提示框位置
	std::vector<int> mTipsPos;
	//提示框大小
	std::vector<int> mTipsSize;
	//提示框资源
	std::string mTipsPic;
	//图片位置
	std::vector<int> mIconPos;
	//手指位置
	std::vector<int> mFingerPos;
	//后台统计名称
	std::string mName;
};

class M_GuideCFG
{
public:
private:
	static std::auto_ptr<M_GuideCFG> msSingleton;
public:
	int GetCount();
	const M_GuideCFGData* GetData(int ID);
	boost::unordered_map<int, M_GuideCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_GuideCFG* GetSingleton();
private:
	boost::unordered_map<int, M_GuideCFGData> mMapData;
};
